// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Web;
using System.Web.Services;

using UVa.GCG.WSRF.Common.Attributes;
using UVa.GCG.WSRF.Common.WS.Addressing;
using UVa.GCG.WSRF.Service.BaseTypes;
using UVa.GCG.WSRF.Service.Grid;
using UVa.GCG.WSRF.Service.ResourceLifetime;
using UVa.GCG.WSRF.Service.ServiceGroup;

namespace BasicContexts
{
	/// <summary>
	/// While we aren't implementing any code in this particular service,
	/// we are essentially putting a place holder here so that the WSRF.NET
	/// PortTypeAggregator can create a web service for us.  This web service
	/// will be used to store information about individual service group
	/// entry endpoints.
	/// </summary>
	[WsdlBaseName("BasicContextEntry",
		"http://cs.virginia.edu/gbg/BasicContextEntryService")]
	[WebService]
	[WebServiceBinding]
	[WSRFPortType(typeof(ServiceGroupEntryPortType))]
	[WSRFPortType(typeof(GCGResourceFactoryPortType))]
	[WSRFPortType(typeof(ImmediateResourceTerminationPortType))]
	public class BasicContextEntryService : ServiceSkeleton
	{
		/// <summary>
		/// Construct a new BasicContextEntryService instance.
		/// </summary>
		public BasicContextEntryService()
		{
			InitializeComponent();
		}

		#region Component Designer generated code
		
		//Required by the Web Services Designer 
		private IContainer components = null;
				
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if(disposing && components != null)
			{
				components.Dispose();
			}
			base.Dispose(disposing);		
		}
		
		#endregion
	}
}