using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Xml;
using System.Xml.Serialization;

using UVa.GCG.WSRF.Common.Attributes;
using UVa.GCG.WSRF.Common.WS.Addressing;
using UVa.GCG.WSRF.Service.BaseTypes;
using UVa.GCG.WSRF.Service.ResourceProperties;

using Grid;
using Grid.Proxies;

using UVa.GBG.BasicFilesServer.PortTypes;

namespace BasicFiles
{
	/// <summary>
	/// The web service that implements the BasicFile port type as well
	/// as the BasicFile factory.
	/// </summary>
	[WsdlBaseName("BasicFileService",
		 "http://cs.virginia.edu/gbg/BasicFileService")]
	[WebService]
	[WebServiceBinding]
	[WSRFPortType(typeof(BasicFilePortType))]
	[WSRFPortType(typeof(GetResourcePropertyPortType))]
	public class BasicFileService : ServiceSkeleton
	{
		/// <summary>
		/// What type of factory is this?
		/// </summary>
		[ResourceProperty(GridConstants.GRID_FACTORY_TYPE_ELEMENT,
			 typeof(string),
			 false, false, "1", "1",
			 Namespace=GridConstants.GRID_NS)]
		public string FactoryType
		{
			get
			{
				return WellknownEntryTypes.ENTRY_TYPE_FILE.ToString();
			}
		}

		/// <summary>
		/// Construct a new BasicFileService instance.
		/// </summary>
		public BasicFileService()
		{
			InitializeComponent();
		}

		#region Component Designer generated code
		
		//Required by the Web Services Designer 
		private IContainer components = null;
				
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if(disposing && components != null)
			{
				components.Dispose();
			}
			base.Dispose(disposing);		
		}
		
		#endregion

		/// <summary>
		/// The factory method for this type of basic file.
		/// </summary>
		/// <param name="creationHints">Hints that tell us how creation should
		/// be handled.</param>
		/// <returns>A new EPR for the new file instance.</returns>
		[WebMethod]
		[SoapDocumentMethodAttribute(
			 GridConstants.FACTORY_CREATE_ACTION,
			 Use=System.Web.Services.Description.SoapBindingUse.Literal,
			 ParameterStyle=SoapParameterStyle.Bare)]
		[return: XmlElement(GridConstants.FACTORY_CREATE_RESULT_ROOT,
					 Namespace=GridConstants.FACTORY_NS)]
		public EndpointReferenceType create(
			[XmlArray(Namespace=GridConstants.FACTORY_NS)]
			[XmlArrayItem(Namespace=GridConstants.FACTORY_NS,
				 IsNullable=false)]
			XmlElement[] creationHints) 
		{
			ServiceBase.Create(null, null);

			return ServiceBase.EPR;
		}
	}
}