using System;
using System.IO;

using Grid;

namespace Grid.Caches
{
	/// <summary>
	/// The repository for all caches in the system.
	/// </summary>
	public class Caches
	{
		static private Caches _instance = new Caches();

		/// <summary>
		/// Retrieve the Singleton instance.
		/// </summary>
		static public Caches Instances
		{
			get
			{
				return _instance;
			}
		}

		private DirectoryInfo _cacheDir = null;

		private DirectoryInfo CacheDirectory
		{
			get
			{
				lock(this)
				{
					if (_cacheDir == null)
					{
						_cacheDir = new DirectoryInfo(string.Format(
							"{0}\\caches",
							GridConstants.GridLibDirectory.FullName));
						_cacheDir = GuaranteedDirectory.GetDirectory(
							_cacheDir);
					}

					return _cacheDir;
				}
			}
		}
	}
}