// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

namespace Grid.Commands
{
	/// <summary>
	/// This class is thrown any time the command line arguments given to a
	/// command are not correct.
	/// </summary>
	public class CommandUsageException : CommandException
	{
		/// <summary>
		/// Create a new CommandUsageException.
		/// </summary>
		/// <param name="name">The name of the command that caused the
		/// exception.</param>
		/// <param name="usage">The correct usage for the command.</param>
		public CommandUsageException(string name, string usage)
			: base(string.Format("USAGE:  {0}", usage))
		{
		}
	}
}