// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

namespace Grid.Commands
{
	/// <summary>
	/// The common interface for all commands in the grid command library.
	/// </summary>
	public interface ICommand
	{
		/// <summary>
		/// Run the given command.  This argument is expected to take the
		/// commandline arguments that were given it at the very beginning
		/// when it was created by the factory and run the command in
		/// whatever way is appropriate.
		/// </summary>
		void run();
	}
}
