// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

namespace Grid.Commands
{
	/// <summary>
	/// An exception type that is thrown if ever a command is requested
	/// for which there isn't any registered factory.
	/// </summary>
	public class UnknownCommandException : CommandException
	{
		private const string _MSG_FORMAT = "Command \"{0}\" is unknown.";

		/// <summary>
		/// Construct a new exception for the given command that cannot
		/// be found.
		/// </summary>
		/// <param name="command">The name of the command that we couldn't
		/// find a factory for.</param>
		public UnknownCommandException(string command)
			: base(string.Format(_MSG_FORMAT, command))
		{
		}
	}
}
