// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

using Grid;

namespace Grid.ContextSpace
{
	/// <summary>
	/// Exception type thrown whenever an exceptional condition having to
	/// do with context space manipulation or traversal occurs.
	/// </summary>
	public class ContextSpaceException : GridException
	{
		/// <summary>
		/// Create a new Context space exception.
		/// </summary>
		/// <param name="msg">A message that describes the exceptional
		/// condition.</param>
		public ContextSpaceException(string msg)
			: base(msg)
		{
		}

		/// <summary>
		/// Create a new Context space exception.
		/// </summary>
		/// <param name="msg">A message that describes the exceptional
		/// condition.</param>
		/// <param name="cause">The cause of this exception.</param>
		public ContextSpaceException(string msg, Exception cause)
			: base(msg, cause)
		{
		}
	}
}