// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;
using System.Xml;

using UVa.GCG.WSRF.Common.WS.Addressing;

namespace Grid.ContextSpace
{
	/// <summary>
	/// An IEntryFactory class which specifically creates GridContext
	/// entries.
	/// </summary>
	public class GridContextFactory : AbstractEntryFactory
	{
		/// <summary>
		/// Construct a new GridContextFactory type.
		/// </summary>
		public GridContextFactory()
			: base("Context", WellknownEntryTypes.ENTRY_TYPE_CONTEXT)
		{
		}

		#region IEntryFactory Members

		/// <summary>
		/// <see cref="Grid.ContextSpace.IEntryFactory.create"/>
		/// </summary>
		public override IEntry create(string name, 
			EndpointReferenceType epr,
			IEntry parent)
		{
			return new GridContext(epr, name, parent);
		}

		#endregion
	}
}