// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;
using System.Xml;

using UVa.GCG.WSRF.Common.WS.Addressing;

namespace Grid.ContextSpace
{
	/// <summary>
	/// An IEntryFactory type which creates IEntries for factories.
	/// </summary>
	public class GridFactoryFactory : AbstractEntryFactory
	{
		/// <summary>
		/// Construct a new GridFactoryFactory.
		/// </summary>
		public GridFactoryFactory()
			: base("Factory", WellknownEntryTypes.ENTRY_TYPE_FACTORY)
		{
		}

		#region IEntryFactory Members

		/// <summary>
		/// <see cref="Grid.ContextSpace.IEntryFactory.create"/>
		/// </summary>
		public override IEntry create(string name, 
			EndpointReferenceType epr,
			IEntry parent)
		{
			return new FactoryEntry(epr, name, parent);
		}

		#endregion
	}
}