// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;
using System.Xml;

using UVa.GCG.WSRF.Common.WS.Addressing;

namespace Grid.ContextSpace
{
	/// <summary>
	/// An IEntryFactory type which represents and creates GridFiles.
	/// </summary>
	public class GridFileFactory : AbstractEntryFactory
	{
		/// <summary>
		/// Construct a new GridFileFactory instance.
		/// </summary>
		public GridFileFactory()
			: base("File", WellknownEntryTypes.ENTRY_TYPE_FILE)
		{
		}

		#region IEntryFactory Members

		/// <remarks><see cref="Grid.ContextSpace.IEntryFactory.create"/>
		/// </remarks>
		public override IEntry create(string name, 
			EndpointReferenceType epr,
			IEntry parent)
		{
			return new GridFile(epr, name, parent);
		}

		#endregion
	}
}