// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

using UVa.GCG.WSRF.Common.WS.Addressing;

namespace Grid.ContextSpace
{
	/// <summary>
	/// An interface which all IEntries that are infact in the grid, must
	/// implement.
	/// </summary>
	public interface IGridEntry : IEntry
	{
		/// <summary>
		/// Retrieve the Endpoint reference for this entry.  This value
		/// should NEVER be null.
		/// </summary>
		EndpointReferenceType EPR { get; }
	}
}