// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

namespace Grid.ContextSpace
{
	/// <summary>
	/// Represents that a path was given that cannot be valid given the
	/// current rules for path expressions.
	/// </summary>
	public class InvalidPathException : ContextSpaceException
	{
		private const string _FORMAT = "\"{0}\" is an invalid path.";

		/// <summary>
		/// Construct a new InvalidPathException.
		/// </summary>
		/// <param name="path">The path that was invalid.</param>
		public InvalidPathException(string path)
			: base(string.Format(_FORMAT, path))
		{
		}
	}
}
