// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

namespace Grid.ContextSpace
{
	/// <summary>
	/// An exception type that represents the fact that a path was looked up
	/// which doesn't seem to exist.
	/// </summary>
	public class NoSuchPathException : ContextSpaceException
	{
		private const string _FORMAT = "The path \"{0}\" doesn't exist.";

		/// <summary>
		/// Construct a new NoSuchPathException.
		/// </summary>
		/// <param name="path">The path doesn't exist.</param>
		public NoSuchPathException(string path)
			: base(string.Format(_FORMAT, path))
		{
		}
	}
}