// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

namespace Grid.ContextSpace
{
	/// <summary>
	/// An exception type representing the fact that a path already exists
	/// where a non-existant one is required.
	/// </summary>
	public class PathAlreadyExistsException : ContextSpaceException
	{
		private const string _FORMAT = "Path \"{0}\" already exists.";

		/// <summary>
		/// Construct a new PathAlreadyExistsException type.
		/// </summary>
		/// <param name="path">The path that already exists.</param>
		public PathAlreadyExistsException(string path)
			: base(string.Format(_FORMAT, path))
		{
		}
	}
}