// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

namespace Grid.ContextSpace
{
	/// <summary>
	/// An exception type which represents that a short write occurred
	/// in a write operation that isn't allowed short writes.
	/// </summary>
	public class ShortWriteException : ContextSpaceException
	{
		/// <summary>
		/// Construct a new ShortWriteException instance.
		/// </summary>
		public ShortWriteException()
			: base("A write failed to completely write to backend.")
		{
		}
	}
}
