// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

namespace Grid.ContextSpace
{
	/// <summary>
	/// An exception type that represents the fact that a context path was
	/// resolved which is required to produce only one matching entry, but
	/// which instead produced multiple matching entries.
	/// </summary>
	public class SingletonFailureException : ContextSpaceException
	{
		/// <summary>
		/// Construct a new SingletonFailureException.
		/// </summary>
		public SingletonFailureException()
			: base("Attempt to resolve path expressions to a "
				+ "singleton did not yield a single result.")
		{
		}
	}
}