// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;
using System.Xml;

using UVa.GCG.WSRF.Common.WS.Addressing;

namespace Grid.ContextSpace
{
	/// <summary>
	/// An IEntryFactory type which creates UnknownEntry instances.
	/// </summary>
	public class UnknownFactory : AbstractEntryFactory
	{
		/// <summary>
		/// Construct a new UnknownFactory instance.
		/// </summary>
		public UnknownFactory()
			: base("<unknown>", WellknownEntryTypes.ENTRY_TYPE_UNKNOWN)
		{
		}

		#region IEntryFactory Members

		/// <remarks><see cref="IEntryFactory.create"/></remarks>
		public override IEntry create(string name, 
			EndpointReferenceType epr,
			IEntry parent)
		{
			return new UnknownEntry(epr, name, parent);
		}

		#endregion
	}
}