// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

namespace Grid.ContextSpace
{
	/// <summary>
	/// A utility class for dealing with wildcards in path expressions.  Right
	/// now the implementation of this is VERY simplistic and needs to be
	/// expanded.
	/// </summary>
	public class Wildcards
	{
		/// <summary>
		/// Determine whether or not a given string expression has any
		/// wildcards in it.
		/// </summary>
		/// <param name="expression">The epxression to check.</param>
		/// <returns>A boolean indicating whether or not the given
		/// expression had any wild cards in it.</returns>
		static public bool hasWildcards(string expression)
		{
			return expression.IndexOf('*') >= 0;
		}

		/// <summary>
		/// Determines whether or not a given string matches the given
		/// expression (with possible wildcards).
		/// </summary>
		/// <param name="str">The string to check against the expression.
		/// </param>
		/// <param name="expression">The expression with possible wild cards
		/// against which we are checking the string.</param>
		/// <returns>A boolean which indicates whether or not the given string
		/// matched the given expression.</returns>
		static public bool matches(string str, string expression)
		{
			if (expression.Equals("*"))
				return true;

			return str.Equals(expression);
		}
	}
}