// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

using Grid;

namespace Grid.Env
{
	/// <summary>
	/// An exception type which represents the fact that a command which
	/// requires an existing grid was used but for which no session state
	/// is available.
	/// </summary>
	public class DisconnectedException : GridException
	{
		private const string _MESSAGE = "Not connected to a grid.";

		/// <summary>
		/// Construct a new DisconnectedException instance.
		/// </summary>
		/// <param name="cause">The exception that caused this exception
		/// to occurr.</param>
		public DisconnectedException(Exception cause)
			: base(_MESSAGE, cause)
		{
		}
	}
}