// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

using Grid;

namespace Grid.Env
{
	/// <summary>
	/// An exception type which represents the fact that a command which
	/// requires an existing grid was used but for which no session state
	/// is available.
	/// </summary>
	public class EnvironmentUnsetException : GridException
	{
		private const string _MSG =
			"Your environment seems to be unset.  Please run init or connect first.";

		/// <summary>
		/// Construct a new EnvironmentUnsetException.
		/// </summary>
		public EnvironmentUnsetException()
			: base(_MSG)
		{
		}
	}
}
