// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

namespace Grid
{
	/// <summary>
	/// A common base class off of which all exception types thrown by the
	/// GridLib should derive.
	/// </summary>
	public class GridException : Exception
	{
		/// <summary>
		/// Construct a new GridException
		/// </summary>
		/// <param name="msg">The message that describes this GridException
		/// </param>
		protected GridException(string msg)
			: base(msg)
		{
		}

		/// <summary>
		/// Construct a new GridException
		/// </summary>
		/// <param name="msg">The message that describes this GridException
		/// </param>
		/// <param name="innerException">The exception that caused this
		/// GridException.</param>
		protected GridException(string msg, Exception innerException)
			: base(msg, innerException)
		{
		}
	}
}