// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;
using System.Collections;
using System.IO;
using System.Xml;
using System.Xml.Serialization;

using Grid.Commands;
using Grid.ContextSpace;
using Grid.Env;
using Grid.Proxies;

using UVa.GCG.WSRF.Common.WS.Addressing;

namespace Grid.Operations
{
	/// <summary>
	/// Collects together all operations that allow you to disconnect
	/// from a grid.
	/// </summary>
	public class GridDisconnectOperation
		: IOperation
	{
		/// <summary>
		/// Disconnect from the current grid.  Note that this operation
		/// has no effect until the next command invocation.
		/// </summary>
		static public void disconnect()
		{
			File.Delete(CurrentContextEnvironment.FullPath);
		}
	}
}