// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu
//
// This code is based on auto generated code produced by wsdl.exe and
// has been cleaned up.  However, code comments are left as the generator
// produced them.

using System.Diagnostics;
using System.Xml;
using System.Xml.Serialization;
using System;
using System.Web.Services.Protocols;
using System.ComponentModel;
using System.Web.Services;

using Microsoft.Web.Services2;

using UVa.GCG.WSRF.Common.WS;
using UVa.GCG.WSRF.Common.WS.Addressing;
 
namespace Grid.Proxies
{    
	/// <remarks/>
	[DebuggerStepThrough]
	[DesignerCategory("code")]
	[WebServiceBinding(
		 Name="FileServiceBinding",
		 Namespace="http://cs.virginia.edu/gbg/Files/bindings")]
	public class FileServiceProxy : WebServicesClientProtocol
	{
		/// <remarks/>
		public FileServiceProxy(string URL) 
		{
			this.Url = URL;
		}

		/// <remarks/>
		public FileServiceProxy(EndpointReferenceType epr)
		{
			WSUtilities.setEPR(this, epr);
		}
        
		/// <remarks/>
		[SoapDocumentMethod(GridConstants.FILE_APPEND_ACTION,
			 Use=System.Web.Services.Description.SoapBindingUse.Literal,
			 ParameterStyle=SoapParameterStyle.Bare)]
		[return: XmlElement(GridConstants.FILE_APPEND_RESULT_ROOT,
					 Namespace=GridConstants.FILE_NS)]
		public int append([XmlElement(GridConstants.FILE_APPEND_DATA_ROOT,
									Namespace=GridConstants.FILE_NS)] string filedata) 
		{
			object[] results = this.Invoke("append", 
				new object[] {filedata});
			return ((int)(results[0]));
		}
        
		/// <remarks/>
		public IAsyncResult Beginappend(string filedata, 
			AsyncCallback callback, object asyncState) 
		{
			return this.BeginInvoke("append", 
				new object[] {filedata}, callback, asyncState);
		}
        
		/// <remarks/>
		public int Endappend(IAsyncResult asyncResult) 
		{
			object[] results = this.EndInvoke(asyncResult);
			return ((int)(results[0]));
		}

		/// <remarks/>
		[SoapDocumentMethod(GridConstants.FILE_TRUNCAPPEND_ACTION,
			Use=System.Web.Services.Description.SoapBindingUse.Literal,
			ParameterStyle=SoapParameterStyle.Bare)]
		[return: XmlElement(GridConstants.FILE_TRUNCAPPEND_RESULT_ROOT,
			Namespace=GridConstants.FILE_NS)]
		public int truncAppend([XmlElement(GridConstants.FILE_TRUNCAPPEND_DATA_ROOT,
			Namespace=GridConstants.FILE_NS)] string filedata) 
		{
			object[] results = this.Invoke("truncAppend", 
				new object[] {filedata});
			return ((int)(results[0]));
		}
        
		/// <remarks/>
		public IAsyncResult BegintruncAppend(string filedata, 
			AsyncCallback callback, object asyncState) 
		{
			return this.BeginInvoke("truncAppend", 
				new object[] {filedata}, callback, asyncState);
		}
        
		/// <remarks/>
		public int EndtruncAppend(IAsyncResult asyncResult) 
		{
			object[] results = this.EndInvoke(asyncResult);
			return ((int)(results[0]));
		}
        
		/// <remarks/>
		[SoapDocumentMethod(GridConstants.FILE_READ_ACTION,
			Use=System.Web.Services.Description.SoapBindingUse.Literal,
			ParameterStyle=SoapParameterStyle.Bare)]
		[return: XmlElement(GridConstants.FILE_READ_RESULT_ROOT,
			Namespace=GridConstants.FILE_NS)]
		public string read(
			[XmlElement(Namespace=GridConstants.FILE_NS)] long offset,
			[XmlElement(Namespace=GridConstants.FILE_NS)] int size) 
		{
			object[] results = this.Invoke("read", 
				new object[] {offset, size});
			return ((string)(results[0]));
		}
        
		/// <remarks/>
		public IAsyncResult Beginread(long offset, int size,
			AsyncCallback callback, object asyncState) 
		{
			return this.BeginInvoke("read", 
				new object[] {offset, size}, callback, asyncState);
		}
        
		/// <remarks/>
		public string Endread(IAsyncResult asyncResult) 
		{
			object[] results = this.EndInvoke(asyncResult);
			return ((string)(results[0]));
		}
        
		/// <remarks/>
		[SoapDocumentMethod(GridConstants.FILE_WRITE_ACTION,
			Use=System.Web.Services.Description.SoapBindingUse.Literal,
			ParameterStyle=SoapParameterStyle.Bare)]
		[return: XmlElement(GridConstants.FILE_WRITE_RESULT_ROOT,
			Namespace=GridConstants.FILE_NS)]
		public int write(
			[XmlElement(Namespace=GridConstants.FILE_NS)] long offset,
			[XmlElement(GridConstants.FILE_WRITE_DATA_ROOT,
				Namespace=GridConstants.FILE_NS)] string filedata) 
		{
			object[] results = this.Invoke("write",
				new object[] {offset, filedata});
			return ((int)(results[0]));
		}
        
		/// <remarks/>
		public IAsyncResult Beginwrite(long offset, string filedata,
			AsyncCallback callback, object asyncState) 
		{
			return this.BeginInvoke("write",
				new object[] {offset, filedata}, callback, asyncState);
		}
        
		/// <remarks/>
		public int Endwrite(IAsyncResult asyncResult) 
		{
			object[] results = this.EndInvoke(asyncResult);
			return ((int)(results[0]));
		}
	}
}