// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

namespace Grid
{
	/// <summary>
	/// An exception type thrown by the backend web services should
	/// something unexpected or exceptional happen.
	/// </summary>
	public class ServiceException : GridException
	{
		/// <summary>
		/// Construct a new service exception.
		/// </summary>
		/// <param name="msg">The message that describes this
		/// Service exception.</param>
		public ServiceException(string msg)
			: base(msg)
		{
		}

		/// <summary>
		/// Construct a new service exception.
		/// </summary>
		/// <param name="msg">The message that describes this
		/// Service exception.</param>
		/// <param name="cause">An exception that caused this
		/// ServiceException to occur.</param>
		public ServiceException(string msg, Exception cause)
			: base(msg, cause)
		{
		}
	}
}