// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

namespace Grid
{
	/// <summary>
	/// A GridException that basically means something we didn't account
	/// for happened.
	/// </summary>
	public class UnexpectedException : GridException
	{
		private const string _MSG = "An unexpected exception occurred.";

		/// <summary>
		/// Construct a new UnexpectedException
		/// </summary>
		/// <param name="e">The unexpected condition that caused this
		/// exception.</param>
		public UnexpectedException(Exception e)
			: base(_MSG, e)
		{
		}
	}
}