// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;
using System.Xml;

namespace Grid
{
	/// <summary>
	/// All of the entry types that are currently well known in the
	/// system.
	/// </summary>
	public class WellknownEntryTypes
	{
		/// <summary>
		/// The namespace that all wellknown entry types occur in.
		/// </summary>
		static private string _NAMESPACE = GridConstants.GRID_NS;

		/// <summary>
		/// An entry type for contexts or directories.
		/// </summary>
		static public XmlQualifiedName ENTRY_TYPE_CONTEXT
			= new XmlQualifiedName("Context", _NAMESPACE);
		/// <summary>
		/// An entry type for files, either in the grid or local.
		/// </summary>
		static public XmlQualifiedName ENTRY_TYPE_FILE
			= new XmlQualifiedName("File", _NAMESPACE);
		/// <summary>
		/// An entry type for grid factories
		/// </summary>
		static public XmlQualifiedName ENTRY_TYPE_FACTORY
			= new XmlQualifiedName("Factory", _NAMESPACE);
		/// <summary>
		/// An entry type for anything that isn't known as a type.
		/// </summary>
		static public XmlQualifiedName ENTRY_TYPE_UNKNOWN
			= new XmlQualifiedName("Unknown", _NAMESPACE);
	}
}